I would like to use the opensuse build service to create rpms for libvrt
0.6.0 and kvm 83. The rpmbuild command is running fine on my computer,
but if I try to create the rpms for opensuse 11.1 on the build service
there are errors (opensuse 11.0 is OK).

The error for libvirt is:


Code:
--------------------
libvirt: "/etc/sysconfig/libvirtd" is not allowed anymore in SuSE Linux.
libvirt: "/etc/sysconfig/libvirtdomains" is not allowed anymore in SuSE Linux.
--------------------


Why are these files in /etc/sysconfig not allowed?

For kvm there are the following errors:


Code:
--------------------
I: File is compiled without RPM_OPT_FLAGS
W: kvm no-rpm-opt-flags <cmdline>:libkvm.c, libkvm-x86.c, signrom.c, biossums.c, rombios32.c, vbetables-gen.c
E: kvm 64bit-portability-issue /usr/src/packages/BUILD/kvm-83/qemu/hw/device-hotplug.c:166

I: Program is using implicit definitions of special functions.
these functions need to use their correct prototypes to allow
the lightweight buffer overflow checking to work.
- Implicit memory/string functions need #include <string.h>.
- Implicit *printf functions need #include <stdio.h>.
- Implicit *printf functions need #include <stdio.h>.
- Implicit *read* functions need #include <unistd.h>.
- Implicit *recv* functions need #include <sys/socket.h>.
E: kvm implicit-fortify-decl test/x86/vmexit.c:37
--------------------


Does these messages mean the code has to be changed? kvm is running
fine on my computer ...

How can I create the rpms for opensuse 11.1?

The project name is home:syntron


--
syntron
------------------------------------------------------------------------
syntron's Profile: http://forums.opensuse.org/member.php?userid=17565
View this thread: http://forums.opensuse.org/showthread.php?t=406660